#!/usr/bin/python

import time
#import subprocess
import os
import logging
from logging.handlers import RotatingFileHandler


class checkUciCfg:
    def __init__(self):
        self.logger = logging.getLogger("uciCheck")

    def uci_get(self,param_name):
        try:
            #response = subprocess.check_output("uci get " + param_name, shell=True)
            cmd = "uci get " + param_name
            response = os.popen(cmd).read()
            if response.rstrip() == '':
                self.logger.error("UCI entry not found: {}".format(param_name))

        except:
            self.logger.error("UCI entry not found: {}".format(param_name))
            response = ""

        return response.rstrip()

    def check(self):
        self.uci_get('instreamer4.audio.adc_gain')
        self.uci_get('instreamer4.channel_1.enabled')
        self.uci_get('instreamer4.channel_1.capture_volume_DB')
        self.uci_get('instreamer4.channel_1.channel_name')
        self.uci_get('instreamer4.channel_1.input_channel')
        self.uci_get('instreamer4.channel_1.sampling_rate')
        res = self.uci_get('instreamer4.channel_1.input_source')
        if res != '' and res != 'line-in':
            self.logger.error("channel_1.input_source is not set as line-in")
        self.uci_get('instreamer4.channel_1.input_type')
        self.uci_get('instreamer4.channel_1.endian')
        self.uci_get('instreamer4.enc_1.type')
        self.uci_get('instreamer4.enc_1.channel_name')
        self.uci_get('instreamer4.enc_1.bit_rate')
        self.uci_get('instreamer4.enc_1.bit_rate_type')
        self.uci_get('instreamer4.conn_1.input')
        self.uci_get('instreamer4.conn_1.channel_name')
        self.uci_get('instreamer4.conn_1.output')
        self.uci_get('instreamer4.conn_2.input')
        self.uci_get('instreamer4.conn_2.channel_name')
        self.uci_get('instreamer4.conn_2.output')



if __name__ == '__main__':
    rotHandler = RotatingFileHandler("/var/log/uci_errors.log", maxBytes=2*1024*1024, backupCount=3)
    logging.basicConfig(filename="/var/log/uci_errors.log", filemode='w',level=logging.INFO,handlers=[rotHandler],format='%(asctime)s %(name)s %(levelname)s %(message)s')
    l = logging.getLogger("uciCheck")
    l.info("checkUciCfg app started")
    uciCheck = checkUciCfg()
    while True:
        uciCheck.check()
        time.sleep(2)
