
<%
VERSION=$(cat /barix/info/VERSION)
TIME_TAG=$(date +%Y%m%d%H%M%S)
MAC_ADDR=$(cat /sys/class/net/eth0/address | tr "[a-z]" "[A-Z]" | tr ":" "-")

#
#   Collect and pack all device info to send as logs
#

DIAGNOSTICS="/var/log/diagnostics"

rm -rf $DIAGNOSTICS
mkdir $DIAGNOSTICS

env > $DIAGNOSTICS/environment.txt

uci show > $DIAGNOSTICS/uci_config.txt

uptime > $DIAGNOSTICS/uptime.txt

top -b -n 5 > $DIAGNOSTICS/top_samples.txt

cp /proc/meminfo $DIAGNOSTICS/meminfo.txt

tar czf $DIAGNOSTICS/netstats.tar.gz -C /proc/net .

cp /etc/resolv.conf $DIAGNOSTICS/resolv.conf

cp /etc/network/interfaces $DIAGNOSTICS/network_interfaces.txt

df -h > $DIAGNOSTICS/filesystem_usage.txt

echo "NO_INFO" > $DIAGNOSTICS/factory_info
echo "NO_INFO" > $DIAGNOSTICS/factory_info.json

cp /tmp/factory_info_partition/factory_info $DIAGNOSTICS/factory_info
cp /tmp/factory_info_partition/factory_info_json $DIAGNOSTICS/factory_info.json

cd /var/log
echo "Content-Disposition: attachment; filename=Instreamer-ICE_${VERSION}_${MAC_ADDR}_${TIME_TAG}_logs.tar.gz"
echo "Content-type: text/plain"
echo ""
tar -cv *  | gzip -c
%>
